<mat-table [dataSource]="courses">
  <!-- Name Column -->
  <ng-container matColumnDef="name">
    <mat-header-cell *matHeaderCellDef>Name</mat-header-cell>
    <mat-cell *matCellDef="let element">{{ element.name }}</mat-cell>
  </ng-container>

  <!-- Category Column -->
  <ng-container matColumnDef="category">
    <mat-header-cell *matHeaderCellDef>Category</mat-header-cell>
    <mat-cell *matCellDef="let element">{{ element.category }}
      <mat-icon aria-hidden="false" aria-label="course category">{{element.category | category}}</mat-icon>
    </mat-cell>
  </ng-container>

  <!-- Actions Column -->
  <ng-container matColumnDef="actions">
    <mat-header-cell *matHeaderCellDef class="action-column">
      <button mat-mini-fab color="accent" aria-label="Adicionar um curso">
        <mat-icon (click)="onAdd()">add</mat-icon>
      </button>
    </mat-header-cell>

    <mat-cell *matCellDef="let element" class="action-column">
      <button mat-icon-button color="primary" aria-label="Editar curso">
        <mat-icon (click)="onEdit(element)">edit</mat-icon>
      </button>
      <button mat-icon-button color="warn" aria-label="Excluir curso">
        <mat-icon>delete</mat-icon>
      </button>
    </mat-cell>
  </ng-container>

  <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
  <mat-row *matRowDef="let row; columns: displayedColumns"></mat-row>
</mat-table>
